Agent Builder
Get session status
GET
/
api
/
v1
/
agent-builder
/
{sessionId}
/
status
Get current status for a session (lightweight polling endpoint)
curl --request GET \
--url https://api.example.com/api/v1/agent-builder/{sessionId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/agent-builder/{sessionId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/agent-builder/{sessionId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "processing",
"agentId": 123,
"agentName": "<string>",
"error": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"statusCode": 123,
"statusDescription": "<string>",
"message": "<string>",
"severity": 0,
"errorCode": "<string>"
}Authorizations
API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"
OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"
Path Parameters
The session ID returned from /start
Response
OK
Session status response for the external API.
All observable status values for an agent builder session.
Serialized as lowercase strings on the wire (processing, ready, completed, error, cancelled). (0 = Processing; 1 = Ready; 2 = Completed; 3 = Error; 4 = Cancelled)
Available options:
processing, ready, completed, error, cancelled ID of the agent draft. Populated once the agent draft has been created in your workspace.
Always present when status is "completed" or "ready".
Name of the agent draft. Populated alongside agentId.
Always present when status is "completed" or "ready".
Error message when status is "error".